# filter (combination)

## Name

filter (combination) — A logical combination surface filter

## Synopsis

Content Model

    filter ::= (op)

Attributes
See the general `filter` element documentation.

## Description

A combination filter uses a logical operation to combine other normal surface filters into a single more complex surface filter.

The filters being combined must be immediate children of the packet representing this combination filter. The logical operation used to combine these child filters is described by the child `op` element.

More information about surface filters can be found in the general `filter` element documentation.

### Parents

The following elements contain `filter`: `packet` (surface filter).

### Children

The following elements occur in `filter` for a combination filter: `op`.